
Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	utilities for linux networking
Name:      	iputils
Version:   	20071127
Release:   	1
License: 	GNU/GPL
URL:		http://www.skbuff.net/iputils/
Group:     	System/Configuration/Networking
Source0: 	%{name}-s%{version}.tar.bz2
Source1: 	ifenslave.tar.gz
Source3: 	rdisc.initd
Patch0:		iputils-20070202-open-max.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The iputils package is a set of small useful utilities for Linux networking.

%post
/sbin/chkconfig --add rdisc
# delinerately don't activate router discovery by default
/sbin/chkconfig rdisc off

%preun
if [ $1 = 0 ]; then
        /etc/init.d/rdisc stop >/dev/null 2>&1
        /sbin/chkconfig --del rdisc
fi

%postun
if [ "$1" -ge "1" ]; then
        /etc/init.d/rdisc status 2>&1 > /dev/null
        if [ $? -eq 0 ]; then
                /etc/rc.d/init.d/rdisc restart >/dev/null 2>&1 || :
        fi
fi


%prep
%setup -q -a 1 -n %{name}-s%{version}
%patch0 -p1


%build
#./configure --prefix=%_prefix --bindir=%_sbindir --mandir=%_mandir
make
gcc -Wall $RPM_OPT_FLAGS ifenslave.c -o ifenslave
make -C doc man

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
install -c clockdiff            ${RPM_BUILD_ROOT}%{_sbindir}/
install -cp arping              ${RPM_BUILD_ROOT}/sbin/
ln -s /sbin/arping              ${RPM_BUILD_ROOT}%{_sbindir}/arping
install -cp ping                ${RPM_BUILD_ROOT}/bin/
install -cp ifenslave           ${RPM_BUILD_ROOT}/sbin/
install -cp rdisc               ${RPM_BUILD_ROOT}/sbin/
install -cp ping6               ${RPM_BUILD_ROOT}/bin/
install -cp tracepath           ${RPM_BUILD_ROOT}/bin/
install -cp tracepath6          ${RPM_BUILD_ROOT}/bin/

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
ln -sf /bin/ping6 ${RPM_BUILD_ROOT}%{_sbindir}
ln -sf /bin/tracepath ${RPM_BUILD_ROOT}%{_sbindir}
ln -sf /bin/tracepath6 ${RPM_BUILD_ROOT}%{_sbindir}

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
install -cp doc/clockdiff.8     ${RPM_BUILD_ROOT}%{_mandir}/man8/
install -cp doc/arping.8        ${RPM_BUILD_ROOT}%{_mandir}/man8/
install -cp doc/ping.8          ${RPM_BUILD_ROOT}%{_mandir}/man8/
install -cp doc/rdisc.8         ${RPM_BUILD_ROOT}%{_mandir}/man8/
install -cp doc/tracepath.8     ${RPM_BUILD_ROOT}%{_mandir}/man8/
install -cp ifenslave.8         ${RPM_BUILD_ROOT}%{_mandir}/man8/
ln -s ping.8.gz ${RPM_BUILD_ROOT}%{_mandir}/man8/ping6.8.gz
ln -s tracepath.8.gz ${RPM_BUILD_ROOT}%{_mandir}/man8/tracepath6.8.gz

install -dp ${RPM_BUILD_ROOT}%{_sysconfdir}/init.d
install -m 755 -p %SOURCE3 ${RPM_BUILD_ROOT}%{_sysconfdir}/init.d/rdisc

iconv -f ISO88591 -t UTF8 RELNOTES -o RELNOTES.tmp
touch -r RELNOTES RELNOTES.tmp
mv -f RELNOTES.tmp RELNOTES



%files
%defattr(-,root,root)
%{_sysconfdir}/init.d/rdisc
/bin/
/sbin/
%{_sbindir}/
%{_mandir}/

# exclude file already delivered by inetutils
%exclude /bin/ping
%exclude /usr/share/man/man8/ping.8.gz 

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 20071127-1
- initial package Release
